Bug 1013147 - SEGFAULT: at ../../../../libsanitizer/asan/asan_posix.cc:39
SEGFAULT: at ../../../../libsanitizer/asan/asan_posix.cc:39
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 18:09 EDT by Damian Wrobel
Modified: 2015-02-17 12:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:23:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bt full (16.83 KB, text/plain)
2013-09-27 18:11 EDT, Damian Wrobel
no flags Details

  None (edit)
Description Damian Wrobel 2013-09-27 18:09:20 EDT
Description of problem:
Trying to build the systemd[1] package with the address-sanitizer enabled (to be able to track down the bug #1010506) fails as following:

sh: line 1: 12920 Segmentation fault      (core dumped) ( /bin/sh ../../libtool --mode=execute ./gudev-scan )


Version-Release number of selected component (if applicable):
$ rpm -qa | grep -e ^gcc- -e libasan | grep -v debuginfo | sort
gcc-4.8.1-1.fc19.i686
gcc-c++-4.8.1-1.fc19.i686
gcc-gfortran-4.8.1-1.fc19.i686
gcc-java-4.8.1-1.fc19.i686
libasan-4.8.1-1.fc19.i686

How reproducible:
100%

Steps to Reproduce:
1. rpmbuild --rebuild --with sanitizer systemd-207-6.gitgedcfd89.fc19.src.rpm

Actual results:
Program terminated with signal 11, Segmentation fault.
(gdb) bt
#0  0x00000000 in ?? ()
#1  0xb5bd3f06 in __asan::MaybeInstallSigaction (signum=signum@entry=11, handler=0xb5bd3e40 <__asan::ASAN_OnSIGSEGV(int, siginfo_t*, void*)>) at ../../../../libsanitizer/asan/asan_posix.cc:39
#2  0xb5bd4222 in MaybeInstallSigaction (handler=0xb5bd3e40 <__asan::ASAN_OnSIGSEGV(int, siginfo_t*, void*)>, signum=11) at ../../../../libsanitizer/asan/asan_posix.cc:94
#3  __asan::InstallSignalHandlers () at ../../../../libsanitizer/asan/asan_posix.cc:92
#4  0xb5bd575c in __asan_init_v1 () at ../../../../libsanitizer/asan/asan_rtl.cc:498
#5  0xb76f10c8 in _GLOBAL__sub_I_00099_1_libudev.c () at ../src/libudev/libudev.c:314
#6  0xb776845e in call_init (env=0xbf8a5dbc, argv=0xbf8a5db4, argc=1, l=<optimized out>) at dl-init.c:82
#7  _dl_init (main_map=0xb77798f8, argc=1, argv=0xbf8a5db4, env=0xbf8a5dbc) at dl-init.c:131
#8  0xb775a05f in _dl_start_user () from /lib/ld-linux.so.2

Expected results:
Package should compile fine.

Additional info:
The systemd sources are from git v207-119-gedcfd89 without any changes.
systemd-gitgedcfd89-BUILD.tar.xz[2] contains the content of the whole build directory (including coredump file).

[1]. http://dwrobel.fedorapeople.org/projects/bugz/systemd-crash/systemd-207-6.gitgedcfd89.fc19.src.rpm
[2] http://dwrobel.fedorapeople.org/projects/bugz/systemd-crash/systemd-gitgedcfd89-BUILD.tar.xz
Comment 1 Damian Wrobel 2013-09-27 18:11:40 EDT
Created attachment 804187 [details]
bt full
Comment 2 Fedora End Of Life 2015-01-09 15:00:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:23:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.